UbixOS V2 2.0

Data Structures | Macros | Typedefs | Functions | Variables
tty.h File Reference
`#include <sys/types.h>`
Include dependency graph for tty.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | tty_termNode

## Macros
#define | TTY_MAX_TERMS 5

## Typedefs
typedef struct tty_termNode | tty_term

## Functions
int | tty_change (uInt16)
tty_term * | tty_find (uInt16)
int | tty_init ()
int | tty_print (char *, tty_term *)

## Variables
tty_term * | tty_foreground

## Macro Definition Documentation

## ◆ TTY_MAX_TERMS

#define TTY_MAX_TERMS 5

Definition at line 34 of file tty.h.

## Typedef Documentation

## ◆ tty_term

typedef struct tty_termNode tty_term

## Function Documentation

## ◆ tty_change()

int tty_change | ( | uInt16 |  | ) |

Definition at line 84 of file tty.c.

References kpanic(), memcpy(), tty_termNode::tty_buffer, tty_foreground, and TTY_MAX_TERMS.

Here is the call graph for this function:

## ◆ tty_find()

tty_term* tty_find | ( | uInt16 |  | ) |

Definition at line 167 of file tty.c.

Referenced by execFile(), kprint(), and systemTask().

## ◆ tty_init()

int tty_init | ( |  | ) |

Definition at line 41 of file tty.c.

## ◆ tty_print()

int tty_print | ( | char * | ,
|  | tty_term * |
| ) |  |

Definition at line 115 of file tty.c.

References spinLock().

Referenced by kprint(), sys_fwrite(), and sysFwrite().

Here is the call graph for this function:

## Variable Documentation

## ◆ tty_foreground

tty_term* tty_foreground

Definition at line 38 of file tty.c.

Referenced by getchar(), kpanic(), kprint(), sys_fgetc(), sys_pread(), sys_read(), and tty_change().